ipc_rmid
Prev | IPC utilities | Next

## Name

ipc_rmid — remove an IPC identifier

## Synopsis

`void ipc_rmid (` | struct ipc_ids * | ids,
| struct kern_ipc_perm * | ipcp`)`;

## Arguments

`ids`

  IPC identifier set

`ipcp`

  ipc perm structure containing the identifier to remove

## Description

ipc_ids.rw_mutex (as a writer) and the spinlock for this ID are held before this function is called, and remain locked on the exit.

Prev | Up | Next
ipcget_public | Home | ipc_alloc